Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
compliance-report
/
download
Download Dataset Compliance Report
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/compliance-report/download \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  }
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Body

application/json
format
enum<string>
required
Available options:
json,
pdf,
csv
depth
enum<string>
required
Available options:
summary,
detailed,
exhaustive
compliance_standard
enum<string>
required
Available options:
soc2,
iso27001,
hipaa,
gdpr
time_range
ComplianceTimeRange · object
required

Response

Successful Response